The purpose of the repo is to face problems of implementation OOP and improve understanding of the paradigm by implementing
some of the OOP concepts in javascript. Because javascript already has OOP implemented (obviously). The repo contains
rather pseudo code. Just for fun and education.
